Groovy 1.7.10

## groovy.swing.factory
[Groovy] Class ComponentFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.ComponentFactory

    class ComponentFactory
    extends BeanFactory

Field Summary

Fields inherited from class BeanFactory
leaf

Constructor Summary
`ComponentFactory(Class beanClass)`
`ComponentFactory(Class beanClass, boolean leaf)`

Method Summary
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ComponentFactory

    ComponentFactory(Class beanClass)

### ComponentFactory

    ComponentFactory(Class beanClass, boolean leaf)

Method Detail

### setChild

    void setChild(FactoryBuilderSupport builder, Object parent, Object child)

Copyright © 2003-2010 The Codehaus. All rights reserved.